- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionViewItemV4 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 609 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionViewItemV4:
[legend]

List of all members.

## Public Types
enum | StyleOptionVersion { Version = 4 }
enum | ViewItemPosition { Invalid, Beginning, Middle, End, OnlyOne }
## Public Member Functions
| QStyleOptionViewItemV4 ()
| QStyleOptionViewItemV4 (const QStyleOptionViewItemV4 &other)
| QStyleOptionViewItemV4 (const QStyleOptionViewItem &other)
QStyleOptionViewItemV4 & | operator= (const QStyleOptionViewItem &other)
## Public Attributes
QModelIndex | index
Qt::CheckState | checkState
QIcon | icon
QString | text
ViewItemPosition | viewItemPosition
QBrush | backgroundBrush
## Protected Member Functions
| QStyleOptionViewItemV4 (int version)

## Member Enumeration Documentation

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionViewItemV3.

Definition at line 612 of file qstyleoption.h.

    { Version = 4 };

enum ViewItemPosition

Search for all occurrences

Enumerator:

  Invalid | Search for all occurrences
  Beginning | Search for all occurrences
  Middle | Search for all occurrences
  End | Search for all occurrences
  OnlyOne | Search for all occurrences

Definition at line 613 of file qstyleoption.h.

    { Invalid, Beginning, Middle, End, OnlyOne };

## Constructor & Destructor Documentation

QStyleOptionViewItemV4 | ( |  | ) |

QStyleOptionViewItemV4 | ( | const QStyleOptionViewItemV4 & | other | ) | `[inline]`

Definition at line 623 of file qstyleoption.h.

            : QStyleOptionViewItemV3(Version) { *this = other; }

QStyleOptionViewItemV4 | ( | const QStyleOptionViewItem & | other | ) |

QStyleOptionViewItemV4 | ( | int | version | ) | `[protected]`

## Member Function Documentation

QStyleOptionViewItemV4& operator= | ( | const QStyleOptionViewItem & | other | ) |

Reimplemented from QStyleOptionViewItemV3.

## Member Data Documentation

QModelIndex index

Search for all occurrences

Definition at line 615 of file qstyleoption.h.

Qt::CheckState checkState

Search for all occurrences

Definition at line 616 of file qstyleoption.h.

QIcon icon

Search for all occurrences

Definition at line 617 of file qstyleoption.h.

QString text

Search for all occurrences

Definition at line 618 of file qstyleoption.h.

ViewItemPosition viewItemPosition

Search for all occurrences

Definition at line 619 of file qstyleoption.h.

QBrush backgroundBrush

Search for all occurrences

Definition at line 620 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4
QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4 QStyleOptionViewItemV4